### Method

# Soup ServerMessage get_remote_host

#### Declaration [src]

    const char*
    soup_server_message_get_remote_host (
      SoupServerMessage* msg
    )

#### Description [src]

Retrieves the IP address associated with the remote end of a connection.

#### Return value

Type: `const char*`

The IP address associated with the remote end of a connection, it may be `NULL` if you used `soup_server_accept_iostream()`.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.